Bug 249250 - Internal compiler error in fixup_var_refs_1
Summary: Internal compiler error in fixup_var_refs_1
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc3   
(Show other bugs)
Version: 3.0
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-23 10:09 UTC by Arun Mahajan
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 18:36:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (108.46 KB, text/plain)
2007-07-23 10:09 UTC, Arun Mahajan
no flags Details

Description Arun Mahajan 2007-07-23 10:09:29 UTC
Description of problem: I'm trying to compile MPB (http://ab-
initio.mit.edu/wiki/index.php/MPB_download) on RHEL WS3.0 (Update 5) node. The 
compilers being used are

gcc (GCC) 3.2.3 20030502 (Red Hat Linux 3.2.3-52)
g++ (GCC) 3.2.3 20030502 (Red Hat Linux 3.2.3-52)
Intel Fortran Compiler 9.0

The compilation process exits saying

cc -DHAVE_CONFIG_H -I../util -I../matrices -
I/software/mpbi/x86_64/install/libmatheval-1.1.4/include -
L/software/mpbi/x86_64/install/hdf5-1.6.5/include -
I/software/mpbi/x86_64/install/fftw-2.1.5/include -
I/software/mpbi/x86_64/install/libctl-3.0.2/include  -c -g -O2 -Wall -W -Wbad-
function-cast -Wcast-qual -Wpointer-arith -Wcast-align -pedantic maxwell_eps.c -
o maxwell_eps.o
maxwell_eps.c: In function `set_maxwell_dielectric':
maxwell_eps.c:880: Internal compiler error in fixup_var_refs_1, at 
function.c:1969
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
Preprocessed source stored into /tmp/ccFHwxfj.out file, please attach this to 
your bugreport.
make[1]: *** [maxwell_eps.o] Error 1
make[1]: Leaving directory `/software/mpbi/src/mpb-1.4.2/src/maxwell'
make: *** [all-recursive] Error 1

Comment 1 Arun Mahajan 2007-07-23 10:09:29 UTC
Created attachment 159770 [details]
Preprocessed source

Comment 2 RHEL Product and Program Management 2007-10-19 18:36:10 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.